KHE::ClipboardInterface Class Referenceabstract

`#include <clipboardinterface.h>`

## Public Member Functions

virtual void | copy ()=0
virtual void | cut ()=0
virtual void | paste ()=0
virtual void | copyAvailable (bool Really)=0

## Detailed Description

A simple interface for interaction with the clipboard.

This interface enables the interaction with the clipboard. It relies on the possibilities of signal/slot so a class B that implements this interface should be derived from QObject. When connecting to a signal or a slot the class B has to be used, not the interface.

Example:

KHE::ClipboardInterface *Clipboard = KHE::clipboardInterface( BytesEditWidget );
if( Clipboard )
{
// Yes, use BytesEditWidget, not Clipboard, because that's the QObject, indeed hacky...
connect( BytesEditWidget, SIGNAL(copyAvailable(bool)), this, SLOT(offerCopy(bool)) );
}

Author
  Friedrich W. H. Kossebau Fried.nosp@m.rich.nosp@m..W.H@.nosp@m.Koss.nosp@m.ebau..nosp@m.de

See also
  createBytesEditWidget(), clipboardInterface()

Since
  3.2

Definition at line 46 of file khexedit/clipboardinterface.h.

## Member Function Documentation

virtual void KHE::ClipboardInterface::copy | ( |  | ) |

pure virtual

tries to copy.

If there is nothing to copy this call is a noop.

virtual void KHE::ClipboardInterface::copyAvailable | ( | bool | Really | ) |

pure virtual

signal: tells whether copy is possible or not.

Remember to use the created object, not the interface for connecting Use BytesEditInterface::isReadOnly() to find out if you can also cut As this function symbol serves as a signal, this is a noop. Don't use it for anything else.

virtual void KHE::ClipboardInterface::cut | ( |  | ) |

pure virtual

tries to cut.

If there is nothing to cut this call is a noop.

virtual void KHE::ClipboardInterface::paste | ( |  | ) |

pure virtual

tries to paste.

If there is nothing to paste or paste is not possible this call is a noop. Use BytesEditInterface::isReadOnly() to find out if you can paste at all.

The documentation for this class was generated from the following file:

- khexedit/clipboardinterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys